Bug 367471 - (CVE-2007-5197) CVE-2007-5197: mono Math.BigInteger buffer overflow
CVE-2007-5197: mono Math.BigInteger buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Patch, Reopened, Security
Depends On: 367531 367541 367551 367571
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 16:08 EST by Ville Skyttä
Modified: 2007-12-20 07:01 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.5.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 07:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch from Debian (1.35 KB, patch)
2007-11-05 16:08 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-11-05 16:08:43 EST
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-5197

"Buffer overflow in the Mono.Math.BigInteger class in Mono allows
context-dependent attackers to execute arbitrary code via unspecified vectors."

Patch extracted from Debian's 1.2.2.1-1etch1 patchkit (attached) seems to apply
to 1.2.5.1 in devel with some line offsets, I have done no further analysis.
Comment 1 Ville Skyttä 2007-11-05 16:08:43 EST
Created attachment 248611 [details]
Patch from Debian
Comment 2 Lubomir Kundrak 2007-11-05 16:47:10 EST
Gentoo also has a patch, maybe a different one
http://bugs.gentoo.org/show_bug.cgi?id=197067
Comment 3 Fedora Update System 2007-11-08 01:01:20 EST
mono-1.2.5.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Lubomir Kundrak 2007-11-09 13:16:23 EST
Alex: I'd urge this a bit. When are f6 and f7 versions likely to hit the
repositories? (I've noticed there was some issue with libs on 64 bit platforms..?)
Comment 5 Fedora Update System 2007-11-09 18:55:05 EST
mono-1.2.3-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.